For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create new settlement

Create new settlement

Required permissions: SALES_ORDER,RETURN_ORDER

post
/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receiptUidstringRequired

Reference to a Receipt.

Pattern: ^[A-Za-z0-9-_]+
Body

Create a new settlement

amountintegerRequired

in cents, e.g. 1,50 as 150

externalIdstringOptional

External reference for the settlement

settlementCodestringRequired
tenantPaymentMethodAgreementUidstringOptionalPattern: ^[A-Za-z0-9-_]*
settlementUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201

Example response

application/json
amountintegerRequired
createdAtstring · date-timeRequired
externalIdstringRequired
externalPaymentReferencestringRequired

The external payment reference for this settlement. For invoices, this could contain the KID

idMethodstring · enumRequiredPossible values:
lastModifiedAtstring · date-timeRequired
ledgerNumberstringOptional

Ledger number must be a valid number with possible leading zeros

ledgerTypestring · enumOptional
ENUMDescription
LEDGERLedger
GENERAL_LEDGERGeneral ledger
CUSTOMER_LEDGERCustomer ledger
Possible values:
settledAtstring · date-timeOptional
settlementCodestringRequired
settlementUidstringRequiredPattern: ^[A-Za-z0-9-_]+
settlementNamestringRequired
statestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
tenantUserDisplayNamestringRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
storePaymentMethodUidstringRequiredPattern: ^[A-Za-z0-9-_]+
creditCountintegerRequired

Number of credits on this settlement. Only applicable for invoice

creditAmountintegerRequired

The total amount credited. Only applicable for invoice

paymentCountintegerRequired

Number of payments on this settlement. Only applicable for invoice

paymentAmountintegerRequired

The total amount of payments. Only applicable for invoice

tillUidstringOptionalPattern: ^[A-Za-z0-9-_]*
tillNamestringOptional

Display name of the till where the payment was registered.

tillNumberintegerOptional

Till register number where the payment was registered.

storeUidstringRequiredPattern: ^[A-Za-z0-9-_]*
storeNamestringRequired

Display name of the store where the payment was registered.

orderReceiptUidstringRequiredPattern: ^[A-Za-z0-9-_]*
authorizedAmountintegerOptional

The total authorized amount on this settlement, calculated from authorize transactions.

capturedAmountintegerOptional

The total captured amount on this settlement, calculated from capture transactions.

refundedAmountintegerOptional

The total refunded amount on this settlement, calculated from refund transactions.

receiptTextstring · max: 500Required

Text printed on the receipt for this payment method when configured on the tenant payment method. Empty when not set, when suppressed for this settlement type (e.g. store credit, gift cards), or when cleared.

post/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements
POST /v2/tenants/{tenantUid}/stores/{storeUid}/receipts/{receiptUid}/settlements HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 165

{
  "amount": 1,
  "externalId": "text",
  "settlementCode": "text",
  "parameters": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "tenantPaymentMethodAgreementUid": "text",
  "settlementUid": "text"
}
201

Example response

{
  "amount": 1,
  "createdAt": "2026-01-01T00:00:00.000Z",
  "displayMessages": [
    {
      "key": "text",
      "message": "text",
      "timestamp": "2026-01-01T00:00:00.000Z"
    }
  ],
  "externalId": "text",
  "externalPaymentReference": "text",
  "idMethod": "NO_CVM_RULE_PERFORMED",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "ledgerNumber": "text",
  "ledgerType": "LEDGER",
  "parameters": [
    {
      "key": "text",
      "value": "text",
      "name": "text",
      "type": "TEXT"
    }
  ],
  "settledAt": "2026-01-01T00:00:00.000Z",
  "settlementCode": "text",
  "settlementUid": "text",
  "settlementName": "text",
  "state": "NOT_STARTED",
  "status": "NEW",
  "storeSettlementIssuer": {
    "storeSettlementIssuerUid": "text",
    "name": "text",
    "code": "text"
  },
  "tenantUserDisplayName": "text",
  "tenantUserUid": "text",
  "storePaymentMethodUid": "text",
  "currency": {
    "amount": 1,
    "code": "text",
    "exchangeRate": 1
  },
  "additionalDetails": [
    {
      "key": "text",
      "value": "text"
    }
  ],
  "creditCount": 1,
  "creditAmount": 1,
  "paymentCount": 1,
  "paymentAmount": 1,
  "tillUid": "text",
  "tillName": "text",
  "tillNumber": 1,
  "storeUid": "text",
  "storeName": "text",
  "orderReceiptUid": "text",
  "authorizedAmount": 1,
  "capturedAmount": 1,
  "refundedAmount": 1,
  "receiptText": "text",
  "transactions": [
    {
      "transactionType": "text",
      "pspTransactionId": "text",
      "transactionAmount": 1,
      "orderReceiptUid": "text"
    }
  ],
  "allowedActions": [
    "CANCEL"
  ]
}

Last updated

Was this helpful?